# $Revision: 1.21 $, $Date: 2012/05/03 20:23:11 $
#
# Conditional build:
%bcond_with	introspection	# API introspection
%bcond_with	vala		# Vala API
#
%if %{without introspection}
%undefine	with_vala
%endif
Summary:	Library for pixel-format agnosticism
Summary(pl.UTF-8):	Biblioteka niezależności od formatu piksela
Name:		babl
Version:	0.1.10
Release:	1
License:	LGPL v3+
Group:		Libraries
Source0:	ftp://ftp.gimp.org/pub/babl/0.1/%{name}-%{version}.tar.bz2
# Source0-md5:	9e1542ab5c0b12ea3af076a9a2f02d79
Patch0:		%{name}-as-needed.patch
Patch1:		%{name}-gir-fix.patch
URL:		http://www.gegl.org/babl/
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake >= 1:1.11
%{?with_introspection:BuildRequires:	gobject-introspection-devel >= 0.10}
BuildRequires:	libtool >= 2:2.2
%{?with_vala:BuildRequires:	vala}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Babl is a dynamic, any to any, pixel format conversion library. It
provides conversions between the myriad of buffer types images can be
stored in. Babl doesn't only help with existing pixel formats, but
also facilitates creation of new and uncommon ones.

%description -l pl.UTF-8
Babl to biblioteka dynamicznych przekształceń między dowolnymi
formatami pikseli. Udostępnia konwersje między wieloma różnymi typami
buforów obrazów. Babl nie tylko pomaga przy istniejących formatach
pikseli, ale także ułatwia tworzenie nowych i niestandardowych.

%package devel
Summary:	Header files for babl library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki babl
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for babl library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki babl.

%package static
Summary:	Static babl library
Summary(pl.UTF-8):	Statyczna biblioteka babl
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static babl library.

%description static -l pl.UTF-8
Statyczna biblioteka babl.

%package -n vala-babl
Summary:	Vala API for babl library
Summary(pl.UTF-8):	API języka Vala dla biblioteki babl
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala

%description -n vala-babl
Vala API for babl library.

%description -n vala-babl -l pl.UTF-8
API języka Vala dla biblioteki babl.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_introspection:--enable-introspection} \
	--disable-silent-rules \
	--enable-static \
	%{!?with_vala:--without-vala}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/babl-0.1/*.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libbabl-0.1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libbabl-0.1.so.0
%dir %{_libdir}/babl-0.1
%attr(755,root,root) %{_libdir}/babl-0.1/*.so
%{?with_introspection:%{_libdir}/girepository-1.0/Babl-0.1.typelib}

%files devel
%defattr(644,root,root,755)
%doc docs/{*.html,*.css}
%attr(755,root,root) %{_libdir}/libbabl-0.1.so
%{_libdir}/libbabl-0.1.la
%{_includedir}/babl-0.1
%{?with_introspection:%{_datadir}/gir-1.0/Babl-0.1.gir}
%{_pkgconfigdir}/babl.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libbabl-0.1.a

%if %{with vala}
%files -n vala-babl
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/babl-0.1.vapi
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: babl.spec,v $
Revision 1.21  2012/05/03 20:23:11  baggins
- rel 1
- disabled introspection and vala as they're still broken and no sign of fix upstream

Revision 1.20  2012/04/19 14:58:26  qboosh
- dropped elfutils-devel BR (caused by broken glib2 build)

Revision 1.19  2012/04/18 17:50:56  qboosh
- completed previous changelog entry

Revision 1.18  2012/04/18 17:37:25  qboosh
- fixed auto* regeneration
- added gir-fix patch from babl git (but it's not enough)
- added introspection bcond; now builds without it, it seems that g-ir-scanner or annotations are broken

Revision 1.17  2012/04/18 00:14:37  wrobell
- ver. 0.1.10 (build limitations still apply as for 0.1.8)

Revision 1.16  2012/04/18 00:06:21  wrobell
- ver. 0.1.8 (nfy - builds without vala 0.16 and without automake
  regeneration)

Revision 1.15  2011/11/25 20:44:32  qboosh
- updated to 0.1.6
- added vala API (on bcond)

Revision 1.14  2011/09/08 16:05:57  qboosh
- package gi files

Revision 1.13  2011/09/08 09:58:06  lisu
- updated to 0.1.4

Revision 1.12  2010/06/24 07:46:18  qboosh
- disable silent-rules
- clean up unpackaged files

Revision 1.11  2010/06/23 13:54:23  arekm
- up to 0.1.2 (soname change)

Revision 1.10  2009/12/11 14:43:28  arekm
- url fix

Revision 1.9  2009/07/14 13:57:57  arekm
- up to 0.1.0

Revision 1.8  2008/06/18 21:34:57  wolf
- 0.0.22

Revision 1.7  2008-03-01 20:51:33  qboosh
- LGPL v3 now

Revision 1.6  2008-02-29 19:29:47  megabajt
- updated to 0.0.20

Revision 1.5  2007-12-27 01:27:04  zbyniu
- up to 0.0.16

Revision 1.4  2007-06-16 21:14:32  qboosh
- LGPL v2+

Revision 1.3  2007/06/16 20:53:43  qboosh
- filled files and deps

Revision 1.2  2007/06/16 20:45:41  qboosh
- pl

Revision 1.1  2007/06/10 23:21:40  aredridel
- added
